﻿#region Copyright Syncfusion Inc. 2001-2015.
// Copyright Syncfusion Inc. 2001-2015. All rights reserved.
// Use of this code is subject to the terms of our license.
// A copy of the current license can be obtained at any time by e-mailing
// licensing@syncfusion.com. Any infringement will be prosecuted under
// applicable laws. 
#endregion
using Syncfusion.JavaScript;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using MvcApplication18.Models;

namespace MvcApplication18.Controllers
{
    public class HomeController : Controller
    {
        List<loadondemand> load = new List<loadondemand>();
        public ActionResult Index()
        {

            load.Add(new loadondemand { id = 1, name = "Local Disk(C:)", hasChild = true });
            load.Add(new loadondemand { id = 5, name = "Local Disk(D:)", hasChild = true });
            load.Add(new loadondemand { id = 12, name = "Local Disk(E:)", hasChild = true });
            ViewBag.datasource = load;
            return View();
        }


        [HttpPost]
        public JsonResult GetChildItems(int id)
        {
            load.Add(new loadondemand { id = 2, pid = 1, name = "Folder 1" });
            load.Add(new loadondemand { id = 3, pid = 1, name = "Folder 2" });
            load.Add(new loadondemand { id = 4, pid = 1, name = "Folder 3", hasChild = true });
            load.Add(new loadondemand { id = 6, pid = 4, name = "File 1" });
            load.Add(new loadondemand { id = 7, pid = 4, name = "File 2", hasChild = true });
            load.Add(new loadondemand { id = 8, pid = 7, name = "File 3" });
            load.Add(new loadondemand { id = 9, pid = 5, name = "Folder 4", hasChild = true });
            load.Add(new loadondemand { id = 10, pid = 9, name = "File 4" });
            load.Add(new loadondemand { id = 11, pid = 9, name = "File 5" });
            load.Add(new loadondemand { id = 13, pid = 9, name = "File 6" });
            load.Add(new loadondemand { id = 14, pid = 5, name = "Folder 5" });
            load.Add(new loadondemand { id = 15, pid = 5, name = "Folder 6" });
            load.Add(new loadondemand { id = 16, pid = 12, name = "Folder 7", hasChild = true });
            load.Add(new loadondemand { id = 17, pid = 16, name = "File 7" });
            load.Add(new loadondemand { id = 18, pid = 16, name = "File 8" });
            load.Add(new loadondemand { id = 19, pid = 16, name = "File 9" });
            load.Add(new loadondemand { id = 20, pid = 12, name = "Folder 8" });
            load.Add(new loadondemand { id = 21, pid = 12, name = "Folder 9" });
            var childData = load.Where(t => t.pid == id);
            return Json(childData, JsonRequestBehavior.AllowGet);
        }
        public ActionResult About()
        {
            ViewBag.Message = "Your application description page.";

            return View();
        }

        public ActionResult Contact()
        {
            ViewBag.Message = "Your contact page.";

            return View();
        }
    }
}